/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1992 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 source code is provided to you solely for       */
/*    the purpose of assisting you in your development of OS/2 device        */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Developer Connection Device Driver       */
/*    Source Kit for OS/2. This Copyright statement may not be removed.      */
/*                                                                           */
/*****************************************************************************/
/*static char *SCCSID = "%w% %e%";*/
/**************************************************************************
 *
 * SOURCE FILE NAME =  CMDPROTO.H
 *
 * DESCRIPTIVE NAME =
 *
 *
 *
 * VERSION = V2.1
 *
 * DATE = 94/03/14
 *
 * DESCRIPTION : C prototypes for Command Parser internal functions
 *
 * Purpose:
 *
 *
 *
 *
 *
*/

/*  Command_Parser local function - PROTOTYPES  */

#ifndef STATIC
#define STATIC static
#endif

STATIC VOID   NEAR Insert_End_Token();
STATIC BOOL   NEAR Locate_First_Slash();
STATIC INT    NEAR cpstrlen(CHAR FAR *);
STATIC BOOL   NEAR strncmp(CHAR FAR *,CHAR FAR *,INT);
BOOL          NEAR Parse_Option_Value();
STATIC VOID   NEAR Skip_Over_Blanks();
STATIC VOID   NEAR char_parser();
STATIC VOID   NEAR d_parser();
STATIC VOID   NEAR dd_parser();
STATIC VOID   NEAR dddd_parser();
/*STATIC*/ USHORT NEAR dd_parsersub();
STATIC VOID   NEAR hh_parser();
STATIC VOID   NEAR hhhh_parser();
STATIC VOID   NEAR format_parser();
STATIC VOID   NEAR scsi_id_parser();
/*STATIC*/ VOID   NEAR geometry_parser();
STATIC VOID   NEAR chgline_parser();
STATIC BOOL   NEAR Insert_Token();
/*STATIC*/ BOOL   NEAR Locate_Next_Slash();
STATIC BOOL   NEAR Validate_State_Index(USHORT);
STATIC BOOL   NEAR HH_Char_To_Byte();

